#!/usr/bin/env python3
import urllib.request
import netCDF4

# データ取得の有無
#retrieve = True
retrieve = False

# URL
url = "http://database.rish.kyoto-u.ac.jp/arch/ncep/data/ncep.reanalysis.derived/surface/slp.mon.mean.nc"
file_name = "slp.mon.mean.nc"
#
# ファイルのダウンロード
if retrieve:
    urllib.request.urlretrieve(url, file_name)

# NetCDFデータの読み込み
nc = netCDF4.Dataset(file_name, 'r')

# データサイズの取得
idim = len(nc.dimensions['lon'])
jdim = len(nc.dimensions['lat'])
ndim = len(nc.dimensions['time'])
datasize = idim * jdim  # size
#print("lon = ", idim, ", lat = ", jdim, ", time = ", ndim)

# 変数の読み込み
lon = nc.variables["lon"][:]
lat = nc.variables["lat"][:]
time = nc.variables["time"][:]
var = nc.variables["slp"][:]

print("lon = ")
print(lon)
print("lat = ")
print(lat)
print("time = ")
print(time)
print("slp data = ")
print(var)

# ファイルを閉じる
nc.close()
