#!/usr/bin/env python3
import numpy as np
import matplotlib.pyplot as plt
import matplotlib.ticker as ticker

# x, y軸サンプルデータ
x = np.linspace(0, 2, 3)
y = np.linspace(0, 200, 3)
print("x = ", x)
print("y = ", y)

# x, y軸メッシュデータ
X, Y = np.meshgrid(x, y)
print("X = ")
print(X)
print("Y = ")
print(Y)
#
# プロットエリアの定義
fig = plt.figure(figsize=(3, 3))
ax = fig.add_subplot(1, 1, 1)

# 格子点をプロット
plt.plot(X, Y, marker='o', ls='', color='k')
# グリッド線を付ける
plt.grid(color='gray', ls='--')

# x軸の目盛り
ax.xaxis.set_major_locator(ticker.AutoLocator())
ax.xaxis.set_minor_locator(ticker.AutoLocator())
# y軸の目盛り
ax.yaxis.set_major_locator(ticker.AutoLocator())
ax.yaxis.set_minor_locator(ticker.AutoLocator())

# ファイルへの書き出し
fig_fname = "Fig5-2-1.png"
plt.savefig(fig_fname, dpi=300, bbox_inches='tight')
plt.show()
